/*  XMMS plugin for raw cdr files (based on orginal xmms wav plugin) 
 *  Copyright (C) 2001 Marek Blaszkowski <mb@kis.p.lodz.pl>, <mb@intercon.pl>
 *
 *  Wav plugin Copyright (C) 1998-1999  Peter Alm, Mikael Alm, Olle Hallnas,     *  Thomas Nilsson and 4Front Technologies
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <pthread.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <sys/stat.h>

#include <glib.h>

#include "plugin.h"

extern InputPlugin cdr_ip;

typedef struct
{
        FILE *file;
        short eof,going;
        int position, length;
        int seek_to, data_offset;
        pid_t pid;
}
CdrFile;


static void cdr_init(void);
static int is_our_file(char *filename);
static void play_file(char *filename);
static void stop(void);
static void cdr_about (void);
static void cdr_conf(void);
static void seek(int time);
static void cdr_pause(short p);
static int get_time(void);
static void get_song_info(char *filename, char **title, int *length);

